Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.vole
Class AnimationContainer

    java.lang.Object
      jcontrol.ui.vole.Component
          jcontrol.ui.vole.Container
              jcontrol.ui.vole.AnimationContainer

All Implemented Interfaces:
  Runnable

    public class AnimationContainer

extends Container
implements Runnable

The `AnimationContainer` is a `Container` with special functions for `Components` which implement the `Animateable` interface. `AnimationContainer` holds methods to start and stop the animation of animateable components as well as methods to influence some animation settings. The animation is done by a `Thread` running in the background. This thread is automatically managed by the `AnimationContainer` and needs no further assistance by the application.

(c) Copyright 2003-2007 DOMOLOGIC GmbH

Field Summary
`protected boolean` | `animate` Indicate whether animation shall be done
`protected boolean` | `animationRunning` Indicate whether the animation is currently running

Fields inherited from class jcontrol.ui.vole.Container
`children, hasFocus, TRANSFER_BACKWARD, TRANSFER_FORWARD`

Fields inherited from class jcontrol.ui.vole.Component
`eventQueue, focusOwner, font, g, height, listener, parent, visible, width, x, y`

Constructor Summary
`AnimationContainer()` Creates a new empty `AnimationContainer`.
`AnimationContainer(int x, int y, int width, int height)` Create a new `Container` with the specified dimensions.

Method Summary
`void` | `add(Component component)` Adds a child component to this container.
`void` | `remove(Component component)` Removes a child component from the container.
`void` | `removeAll()` Remove all child components from the container.
`void` | `run()` The run method of the animation thread.
`void` | `setAnimation(boolean animate)` Activate or deactivate the animation of animateable components.
`void` | `setInterval(int interval)` Set the interval between two animation steps.

Methods inherited from class jcontrol.ui.vole.Container
`getFocus, isCovered, onKeyEvent, paint, remove, removeFocus, requestFocus, setFocus, setFont, setGraphics, setRadioButton, setVisible, transferFocus, transferFocus`

Methods inherited from class jcontrol.ui.vole.Component
`getBounds, getParent, isVisible, onActionEvent, setBounds, setParent, transferFocus, validate`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### animate

    protected boolean animate

  Indicate whether animation shall be done

### animationRunning

    protected boolean animationRunning

  Indicate whether the animation is currently running

Constructor Detail

### AnimationContainer

    public AnimationContainer()

  Creates a new empty `AnimationContainer`. When components which implement the `Animateable` interface are added, their `animate()`-method is called continuously.

### AnimationContainer

    public AnimationContainer(int x,
                              int y,
                              int width,
                              int height)

  Create a new `Container` with the specified dimensions.

  Parameters:
    `x` - The x-coordinate of the container.
    `y` - The y-coordinate of the container.
    `width` - The width of the container.
    `height` - The height of the container.

Method Detail

### add

    public void add(Component component)

  Adds a child component to this container.

  Overrides:
    `add` in class `Container`

### remove

    public void remove(Component component)

  Removes a child component from the container.

  Overrides:
    `remove` in class `Container`

### removeAll

    public void removeAll()

  Remove all child components from the container.

  Overrides:
    `removeAll` in class `Container`

### setInterval

    public void setInterval(int interval)

  Set the interval between two animation steps.

  Parameters:
    `interval` - The new animation interval in milliseconds.

### setAnimation

    public void setAnimation(boolean animate)

  Activate or deactivate the animation of animateable components.

  Parameters:
    `onoff` - Turn the animation "on" (true) or "off" (false).

### run

    public void run()

  The run method of the animation thread.

  Specified by:
    `run` in interface `Runnable`
  See Also:
    `Thread.run()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD